﻿import { Component, OnInit } from '@angular/core';

import { AuthenticationHolderService } from './services/authentication-holder.service';

@Component({
	selector: 'app-root',
	templateUrl: './app.component.html',
	styleUrls: ['./app.component.css']
})
export class AppComponent {

	constructor(
		private authenticationHolderService: AuthenticationHolderService) {
	}

    /**
     * Raised when component is initalized
     */
	public ngOnInit() {

		//Try to restore authentication from local storage
		this.authenticationHolderService.tryRestore();
	}
}