let express = require('express');
let router = express.Router();
let users = require('../data/users');

//Define default route for module
router.get('/', function (req, res) {

	//Just send text to client
	res.send('Hello: this is "Authentication" default route');
});


//Define "SignIn" route"
router.route('/SignIn').post(function (req, res) {

	//Get username and password
	var userName = req.body.userName;
	var password = req.body.password;

	//With invalid data, 400
	if (!userName || !password) {
		res.status(400)
			.send("Invalid data");
		return;
	}

	//Find user with provided userName
	var result = users.find(el => el.userName.toLowerCase() == userName.toLowerCase());

	//If invalid, send 401
	if (!result) {
		res.status(401)
			.send("Unauthorized");
		return;
	}

	//NOTE! We are ignoring the password
	//check for "demo" purposes

	//NOTE! Set last access date manually 
	//for "demo" purposes
	result.lastAccessDate = '2017-04-03T14:35:17';

	//Provide response
	res.json(result);
});

//Export
module.exports = router;